GraphicsActionObject (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.actions

## Class GraphicsActionObject

- java.lang.Object
- - com.twosigma.beakerx.chart.actions.GraphicsActionObject

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CategoryGraphicsActionObject, XYGraphicsActionObject

      public abstract class GraphicsActionObject
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsActionObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.twosigma.beakerx.widget.CommActions` | `getActionType()`
    `Graphics` | `getGraphics()`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getTag()`
    `void` | `setActionType(com.twosigma.beakerx.widget.CommActions actionType)`
    `void` | `setGraphics(Graphics graphics)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setTag(java.lang.String tag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsActionObject

          public GraphicsActionObject()

  - ### Method Detail

    - #### getGraphics

          public Graphics getGraphics()

    - #### setGraphics

          public void setGraphics(Graphics graphics)

    - #### getActionType

          public com.twosigma.beakerx.widget.CommActions getActionType()

    - #### setActionType

          public void setActionType(com.twosigma.beakerx.widget.CommActions actionType)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getTag

          public java.lang.String getTag()

    - #### setTag

          public void setTag(java.lang.String tag)